Customers
List customers
Retrieves a paginated list of customers.
GET
/
customers
List customers
curl --request GET \
--url https://api.staging.streamlinedpayments.com/api/v1/customers \
--header 'X-Api-Key: <api-key>' \
--header 'X-App-Id: <api-key>'const options = {method: 'GET', headers: {'X-App-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.staging.streamlinedpayments.com/api/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.streamlinedpayments.com/api/v1/customers"
headers = {
"X-App-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://api.staging.streamlinedpayments.com/api/v1/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-App-Id"] = '<api-key>'
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"customers": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"company_name": "<string>",
"website": "<string>",
"quick_pay_enabled": true,
"invoice_count": 123,
"last_invoiced_at": "2023-11-07T05:31:56Z",
"total_open_balance_amount": 123
}
],
"meta": {
"current_page": 123,
"per_page": 123,
"total_pages": 123,
"total_count": 123
}
}
Authorizations
App ID for authentication
API Key for authentication
Query Parameters
Page number for pagination.
Number of records per page.
⌘I
List customers
curl --request GET \
--url https://api.staging.streamlinedpayments.com/api/v1/customers \
--header 'X-Api-Key: <api-key>' \
--header 'X-App-Id: <api-key>'const options = {method: 'GET', headers: {'X-App-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.staging.streamlinedpayments.com/api/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.streamlinedpayments.com/api/v1/customers"
headers = {
"X-App-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://api.staging.streamlinedpayments.com/api/v1/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-App-Id"] = '<api-key>'
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"customers": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"company_name": "<string>",
"website": "<string>",
"quick_pay_enabled": true,
"invoice_count": 123,
"last_invoiced_at": "2023-11-07T05:31:56Z",
"total_open_balance_amount": 123
}
],
"meta": {
"current_page": 123,
"per_page": 123,
"total_pages": 123,
"total_count": 123
}
}